新手问题 Ruby 2.2.2 使用中的问题

ssqq · 2015年08月18日 · 最后由 kikyous 回复于 2015年08月18日 · 1595 次阅读

我想要一个 uuid 的功能,但发现 Ruby 1.93 中有 SecureRandom 的功能,Ruby 2.2.2 中的没有,从 github 上下载了 uuid 的源码,但用 gem 无法安装:

$ gem install uuid-2.3.7.gem
ERROR:  While executing gem ... (Gem::RemoteFetcher::FetchError)
    Errno::ECONNABORTED: An established connection was aborted by the software in your host machine. - SSL_connect (https://api.rubygems.org/quick/Marshal.4.8/systemu-2.6.5.gemspec.rz)

不知道是不是 Ruby 的版本有问题,还是因为网站被和谐了。

看样是不是只能复制 uuid.rb 到 lib 了?

需要 登录 后方可回复, 如果你还没有账号请 注册新账号